exports.rss = {
    "/api/rss": {
        "target": "https://www.unige.ch/feed",
        "pathRewrite": {
            "^/api": ""
        },
        "changeOrigin": true
    },
}

exports.shortDoi = {
    "/api/short-doi": {
        "target": "http://shortdoi.org",
        "pathRewrite": {
            "^/api/short-doi": ""
        },
        "changeOrigin": true,
    },
}

exports.oauth = (port) => {
    return {
        "/oauth": {
            "target": `http://localhost:${port}`,
            // "logLevel": "debug"
        },
    }
}

exports.shiblogin = (port, firstName = "Marty", lastName = "McFly", externalUid = "999999@unige.ch") => {
    return {
        "/shiblogin": {
            "target": `http://localhost:${port}`,
            "onProxyReq": (proxyReq, req, res) => {
                proxyReq.setHeader('mail', `${firstName}.${lastName}@unige.ch`);
                proxyReq.setHeader('uniqueid', externalUid);
                proxyReq.setHeader('givenname', firstName);
                proxyReq.setHeader('surname', lastName);
                proxyReq.setHeader('homeorganization', 'unige.ch');
                proxyReq.setHeader('preferredlanguage', 'fr-ch');
            },
            "onProxyRes": (proxyRes, req, res) => {
                proxyRes.headers['Access-Control-Allow-Origin'] = 'http://localhost:4200';
            },
            // "logLevel": "debug"
        },
    }
}
