/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - page-not-found.presentational.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {
  ChangeDetectionStrategy,
  Component,
} from "@angular/core";
import {SharedAbstractPresentational} from "@app/shared/components/presentationals/shared-abstract/shared-abstract.presentational";
import {Navigate} from "@ngxs/router-plugin";
import {Store} from "@ngxs/store";
import {RoutesEnum} from "@shared/enums/routes.enum";

@Component({
  selector: "dlcm-page-not-found",
  templateUrl: "./page-not-found.presentational.html",
  styleUrls: ["./page-not-found.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PageNotFoundPresentational extends SharedAbstractPresentational {
  constructor(private readonly _store: Store) {
    super();
  }

  backToHome(): void {
    this._store.dispatch(new Navigate([RoutesEnum.homePage]));
  }
}
