/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - admin-oai-metadata-prefix.module.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {AdminOaiMetadataPrefixRoutingModule} from "@admin/oai-metadata-prefix/admin-oai-metadata-prefix-routing.module";
import {AdminOaiMetadataPrefixFormPresentational} from "@admin/oai-metadata-prefix/components/presentationals/admin-oai-metadata-prefix-form/admin-oai-metadata-prefix-form.presentational";
import {AdminOaiMetadataPrefixCreateRoutable} from "@admin/oai-metadata-prefix/components/routables/admin-oai-metadata-prefix-create/admin-oai-metadata-prefix-create.routable";
import {AdminOaiMetadataPrefixDetailEditRoutable} from "@admin/oai-metadata-prefix/components/routables/admin-oai-metadata-prefix-detail-edit/admin-oai-metadata-prefix-detail-edit.routable";
import {AdminOaiMetadataPrefixListRoutable} from "@admin/oai-metadata-prefix/components/routables/admin-oai-metadata-prefix-list/admin-oai-metadata-prefix-list.routable";
import {AdminOaiMetadataPrefixState} from "@admin/oai-metadata-prefix/stores/admin-oai-metadata-prefix.state";
import {NgModule} from "@angular/core";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {SharedModule} from "@shared/shared.module";

const routables = [
  AdminOaiMetadataPrefixCreateRoutable,
  AdminOaiMetadataPrefixDetailEditRoutable,
  AdminOaiMetadataPrefixListRoutable,
];
const containers = [];
const dialogs = [];
const presentationals = [
  AdminOaiMetadataPrefixFormPresentational,
];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    SharedModule,
    AdminOaiMetadataPrefixRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      AdminOaiMetadataPrefixState,
    ]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class AdminOaiMetadataPrefixModule {
}
