/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - admin-oai-set.module.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {AdminOaiSetRoutingModule} from "@admin/oai-set/admin-oai-set-routing.module";
import {AdminOaiSetBulkFormPresentational} from "@admin/oai-set/components/presentationals/admin-oai-set-bulk-form/admin-oai-set-bulk-form.presentational";
import {AdminOaiSetFormPresentational} from "@admin/oai-set/components/presentationals/admin-oai-set-form/admin-oai-set-form.presentational";
import {AdminOaiSetBulkCreateRoutable} from "@admin/oai-set/components/routables/admin-oai-set-bulk-create/admin-oai-set-bulk-create.routable";
import {AdminOaiSetCreateRoutable} from "@admin/oai-set/components/routables/admin-oai-set-create/admin-oai-set-create.routable";
import {AdminOaiSetDetailEditRoutable} from "@admin/oai-set/components/routables/admin-oai-set-detail-edit/admin-oai-set-detail-edit.routable";
import {AdminOaiSetListRoutable} from "@admin/oai-set/components/routables/admin-oai-set-list/admin-oai-set-list.routable";
import {AdminOaiSetState} from "@admin/oai-set/stores/admin-oai-set.state";
import {NgModule} from "@angular/core";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {SharedModule} from "@shared/shared.module";

const routables = [
  AdminOaiSetCreateRoutable,
  AdminOaiSetDetailEditRoutable,
  AdminOaiSetListRoutable,
  AdminOaiSetBulkCreateRoutable,
];
const containers = [];
const dialogs = [];
const presentationals = [
  AdminOaiSetFormPresentational,
  AdminOaiSetBulkFormPresentational,
];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    SharedModule,
    AdminOaiSetRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      AdminOaiSetState,
    ]),
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class AdminOaiSetModule {
}
