/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - admin-research-domain.module.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {AdminResearchDomainRoutingModule} from "@admin/research-domain/admin-research-domain-routing.module";
import {AdminResearchDomainCreateEditDialog} from "@admin/research-domain/components/dialogs/admin-research-domain-create-edit/admin-research-domain-create-edit.dialog";
import {AdminResearchDomainFormPresentational} from "@admin/research-domain/components/presentationals/admin-research-domain-form/admin-research-domain-form.presentational";
import {AdminResearchDomainListRoutable} from "@admin/research-domain/components/routables/admin-research-domain-list/admin-research-domain-list.routable";
import {AdminResearchDomainState} from "@admin/research-domain/stores/admin-research-domain.state";
import {NgModule} from "@angular/core";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";

const routables = [
  AdminResearchDomainListRoutable,
];
const containers = [];
const dialogs = [
  AdminResearchDomainCreateEditDialog,
];
const presentationals = [
  AdminResearchDomainFormPresentational,
];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    SharedModule,
    AdminResearchDomainRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      AdminResearchDomainState,
    ]),
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class AdminResearchDomainModule {
}
