/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - archive.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {Enums} from "@enums";
import {Metadata} from "@models";

export interface Archive {
  resId?: string;
  organizationalUnitId: string;
  title: string;
  description: string;
  yearPublicationDate: string;
  sizeDisplay: string;
  size: number;
  files: string;
  dataSensitivity: Enums.Deposit.DataSensitivityEnum;
  dataSensitivityToTranslate: string;
  accessLevel: Enums.Deposit.AccessEnum;
  accessLevelToTranslate: string;
  contributors: ArchiveContributor[];
  institutions: ArchiveInstitution[];
  fundingAgencies: ArchiveFundingAgency[];
  license: ArchiveLicense;
  archiveMetadata: Metadata;
  keywords: string[];
  withThumbnail: boolean;
  isCollection: boolean;
}

export interface ArchiveContributor {
  creatorName?: string;
  givenName?: string;
  familyName?: string;
  affiliation?: string[];
  orcid?: string;
}

export interface ArchiveInstitution {
  name?: string;
  identifierType?: string;
  identifierUrl?: string;
  identifier?: string;
}

export interface ArchiveFundingAgency {
  name?: string;
  identifierType?: string;
  identifierUrl?: string;
  identifier?: string;
}

export interface ArchiveLicense {
  name?: string;
  url?: string;
  identifierType?: string;
  identifier?: string;
}
