/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - label-translate-solidify.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {LabelTranslateEnum} from "@shared/enums/label-translate.enum";
import {
  LabelTranslateInterface,
  MARK_AS_TRANSLATABLE,
} from "solidify-frontend";

export const labelTranslateSolidify: LabelTranslateInterface = {
  aboutInjectedName: LabelTranslateEnum.aboutInjectedName,
  about: LabelTranslateEnum.about,
  additionalInformation: LabelTranslateEnum.additionalInformation,
  accessToken: LabelTranslateEnum.accessToken,
  all: LabelTranslateEnum.all,
  alreadyUsed: MARK_AS_TRANSLATABLE("form.error.alreadyUsed"),
  appBackToOnline: MARK_AS_TRANSLATABLE("app.status.backToOnline"),
  appOffline: MARK_AS_TRANSLATABLE("app.status.offline"),
  backToList: LabelTranslateEnum.backToList,
  breadcrumbHome: LabelTranslateEnum.home,
  cancel: LabelTranslateEnum.cancel,
  changelog: LabelTranslateEnum.changelog,
  changeTime: LabelTranslateEnum.changeTime,
  create: LabelTranslateEnum.create,
  created: LabelTranslateEnum.created,
  createdBy: LabelTranslateEnum.createdBy,
  delete: LabelTranslateEnum.delete,
  deleteDialogConfirmDeleteAction: LabelTranslateEnum.confirmDeleteAction,
  description: LabelTranslateEnum.description,
  edit: LabelTranslateEnum.edit,
  exitEditMode: LabelTranslateEnum.exitEditMode,
  fileDownloadFail: LabelTranslateEnum.fileDownloadFail,
  fileDownloadForbidden: LabelTranslateEnum.fileDownloadForbidden,
  fileDownloadStart: LabelTranslateEnum.fileDownloadStart,
  fileDownloadedSuccessfully: LabelTranslateEnum.fileDownloadedSuccessfully,
  firstLoginClose: LabelTranslateEnum.close,
  firstLoginContent: MARK_AS_TRANSLATABLE("tour.main.menuAvatar.content"),
  firstLoginNext: LabelTranslateEnum.next,
  firstLoginTitle: MARK_AS_TRANSLATABLE("tour.main.menuAvatar.title"),
  keywordInputLabel: LabelTranslateEnum.keywords,
  languageSelectorSelectLanguage: LabelTranslateEnum.selectLanguage,
  maintenanceInProgress: LabelTranslateEnum.maintenanceInProgress,
  notificationBackendUnavailable: MARK_AS_TRANSLATABLE("error.notification.backendUnavailable"),
  notificationUnsavedChanges: MARK_AS_TRANSLATABLE("notification.unsavedChanges"),
  paginatorFirstPage: MARK_AS_TRANSLATABLE("table.paginator.firstPage"),
  paginatorItemPerPage: MARK_AS_TRANSLATABLE("table.paginator.itemPerPage"),
  paginatorLastPage: MARK_AS_TRANSLATABLE("table.paginator.lastPage"),
  paginatorNextPage: MARK_AS_TRANSLATABLE("table.paginator.nextPage"),
  paginatorOfLabel: MARK_AS_TRANSLATABLE("table.paginator.ofLabel"),
  paginatorPreviousPage: MARK_AS_TRANSLATABLE("table.paginator.previousPage"),
  reviews: LabelTranslateEnum.reviews,
  save: LabelTranslateEnum.save,
  serverOffline: LabelTranslateEnum.serverOffline,
  unableToLoadApp: LabelTranslateEnum.unableToLoadApp,
  showHistoryStatus: LabelTranslateEnum.showHistoryStatus,
  status: LabelTranslateEnum.status,
  statusHistoryDialogTitle: MARK_AS_TRANSLATABLE("app.history.title"),
  tokenDialogCopyToClipboard: LabelTranslateEnum.copyToClipboard,
  tokenDialogTitle: LabelTranslateEnum.accessToken,
  tokenDialogTokenCopiedToClipboardFail: MARK_AS_TRANSLATABLE("app.notification.tokenCopiedToClipboardFail"),
  tokenDialogTokenCopiedToClipboardSuccess: MARK_AS_TRANSLATABLE("app.notification.tokenCopiedToClipboardSuccess"),
  tourClose: LabelTranslateEnum.close,
  updateVersionDialogBody: MARK_AS_TRANSLATABLE("app.updateVersion.body"),
  updateVersionDialogTitle: MARK_AS_TRANSLATABLE("app.updateVersion.title"),
  updateVersionDialogUpdateAfter: MARK_AS_TRANSLATABLE("app.updateVersion.button.updateAfter"),
  updateVersionDialogUpdateNow: LabelTranslateEnum.yes,
  updated: LabelTranslateEnum.updated,
  updatedBy: LabelTranslateEnum.updatedBy,
  yes: LabelTranslateEnum.yes,
  youAreInEditMode: LabelTranslateEnum.youAreInEditMode,
  close: LabelTranslateEnum.close,
  copyIdToClipboard: LabelTranslateEnum.copyIdToClipboard,
  dataTableAllElementSearchedSelected: LabelTranslateEnum.dataTableAllElementSearchedSelected,
  dataTableCleanAllFilter: LabelTranslateEnum.dataTableCleanAllFilter,
  dataTableClearSelection: LabelTranslateEnum.dataTableClearSelection,
  dataTableCurrentPageElementSelected: LabelTranslateEnum.dataTableCurrentPageElementSelected,
  dataTableDialogLooseSelectionBody: LabelTranslateEnum.dataTableDialogLooseSelectionBody,
  dataTableDialogLooseSelectionTitle: LabelTranslateEnum.dataTableDialogLooseSelectionTitle,
  dataTableNotificationOnlyTheMaximalAmountAreSelected: LabelTranslateEnum.dataTableNotificationOnlyTheMaximalAmountAreSelected,
  dataTableNoData: LabelTranslateEnum.dataTableNoData,
  dataTableSelectAllElement: LabelTranslateEnum.dataTableSelectAllElement,
  lastSelection: LabelTranslateEnum.lastSelection,
  moreOptions: LabelTranslateEnum.moreOptions,
  multiSelectNoDataToSelect: LabelTranslateEnum.multiSelectNoDataToSelect,
  multiSelectNotificationExtraInfoCopyToClipboard: LabelTranslateEnum.multiSelectNotificationExtraInfoCopyToClipboard,
  multiSelectPlaceholder: LabelTranslateEnum.multiSelectPlaceholder,
  multiSelectDefaultValue: LabelTranslateEnum.multiSelectDefaultValue,
  notificationHttpForbiddenToTranslate: LabelTranslateEnum.notificationHttpForbidden,
  notificationHttpInternalErrorToTranslate: LabelTranslateEnum.notificationHttpInternalError,
  notificationHttpInvalidTokenToTranslate: LabelTranslateEnum.notificationHttpInvalidToken,
  notificationHttpNotFoundToTranslate: LabelTranslateEnum.notificationHttpNotFound,
  notificationHttpOfflineToTranslate: LabelTranslateEnum.notificationHttpOffline,
  notificationHttpUnauthorizedToTranslate: LabelTranslateEnum.notificationHttpUnauthorized,
  notificationHttpBadRequestToTranslate: LabelTranslateEnum.notificationHttpBadRequest,
  notificationIdCopyToClipboard: LabelTranslateEnum.notificationIdCopyToClipboard,
  notificationCopiedToClipboard: LabelTranslateEnum.notificationCopiedToClipboard,
  objectNotFound: LabelTranslateEnum.objectNotFound,
  orcidAuthenticated: LabelTranslateEnum.orcidAuthenticated,
  orcidNotAuthenticated: LabelTranslateEnum.orcidNotAuthenticated,
  refresh: LabelTranslateEnum.refresh,
  search: LabelTranslateEnum.search,
  urlInputLabel: LabelTranslateEnum.url,
  validationErrorInvalidToTranslate: LabelTranslateEnum.validationErrorInvalid,
  validationErrorRequiredToTranslate: LabelTranslateEnum.validationErrorRequired,
  yesImSure: LabelTranslateEnum.yesImSure,
  detail: LabelTranslateEnum.detail,
  user: LabelTranslateEnum.user,
  identification: LabelTranslateEnum.identification,
  clientId: LabelTranslateEnum.clientId,
  expiration: LabelTranslateEnum.expiration,
  scope: LabelTranslateEnum.scope,
  mostCommonValues: LabelTranslateEnum.mostCommonValues,
  characters: LabelTranslateEnum.characters,
  separatorCharacterDetected: LabelTranslateEnum.separatorCharacterDetected,
  theFollowingPastedValue: LabelTranslateEnum.theFollowingPastedValue,
  includesSeparatorCharacters: LabelTranslateEnum.includesSeparatorCharacters,
  wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator: LabelTranslateEnum.wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator,
  space: LabelTranslateEnum.space,
  lineBreak: LabelTranslateEnum.lineBreak,
  doNotSeparate: LabelTranslateEnum.doNotSeparate,
  separate: LabelTranslateEnum.separate,
  notificationUploadInProgress: LabelTranslateEnum.notificationUploadInProgress,
  notificationUploadCancelled: LabelTranslateEnum.notificationUploadCancelled,
  notificationUploadSuccess: LabelTranslateEnum.notificationUploadSuccess,
  notificationUploadFail: LabelTranslateEnum.notificationUploadFail,
  notificationUploadErrorDuplicateFileFail: LabelTranslateEnum.notificationUploadErrorDuplicateFileFail,
  notificationUploadFileSizeLimitXExceeded: LabelTranslateEnum.notificationUploadFileSizeLimitXExceeded,
  semicolon: LabelTranslateEnum.semicolon,
  comma: LabelTranslateEnum.comma,
  underscore: LabelTranslateEnum.underscore,
  dash: LabelTranslateEnum.dash,
  notificationPreviewDownloadFail: LabelTranslateEnum.notificationPreviewDownloadFail,
  notificationPreviewFileNotSupported: LabelTranslateEnum.notificationPreviewFileNotSupported,
  notificationPreviewFileContentTypeNotSupported: LabelTranslateEnum.notificationPreviewFileContentTypeNotSupported,
  notificationPreviewFileTooBig: LabelTranslateEnum.notificationPreviewFileTooBig,
  previewDialogTitle: LabelTranslateEnum.previewDialogTitle,
  zoomOut: LabelTranslateEnum.zoomOut,
  zoomVal: LabelTranslateEnum.zoomVal,
  zoomIn: LabelTranslateEnum.zoomIn,
  unaccessibleTab: LabelTranslateEnum.unaccessibleTab,
  visualizationDocxPreviewMessageBanner: LabelTranslateEnum.previewIsPotentiallyIncompletePleaseDownloadToSeeTheRealRendering,
  cookieConsentBannerAllowCookies: LabelTranslateEnum.allowCookies,
  cookieConsentBannerDecline: LabelTranslateEnum.decline,
  cookieConsentBannerLearnMore: LabelTranslateEnum.learnMore,
  cookieConsentBannerPersonalize: LabelTranslateEnum.personalize,
  cookieConsentBannerThisWebsiteUsesCookiesToEnsureYouGetTheBestExperienceOnOurWebsite: LabelTranslateEnum.thisWebsiteUsesCookiesToEnsureYouGetTheBestExperienceOnOurWebsite,
  cookieConsentSidebarAllowAllCookies: LabelTranslateEnum.allowAllCookies,
  cookieConsentSidebarGoogleAnalyticsDescription: MARK_AS_TRANSLATABLE("cookieConsentSidebar.googleAnalytics.description"),
  cookieConsentSidebarGoogleAnalyticsTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.googleAnalytics.title"),
  cookieConsentDownloadTokenDescription: MARK_AS_TRANSLATABLE("cookieConsentSidebar.downloadToken.description"),
  cookieConsentDownloadTokenTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.downloadToken.title"),
  cookieConsentSidebarLanguageDescription: MARK_AS_TRANSLATABLE("cookieConsentSidebar.language.description"),
  cookieConsentSidebarLanguageTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.language.title"),
  cookieConsentSidebarDarkModeDescription: MARK_AS_TRANSLATABLE("cookieConsentSidebar.darkMode.description"),
  cookieConsentSidebarDarkModeTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.darkMode.title"),
  cookieConsentSidebarPersonalizeCookieDescription: MARK_AS_TRANSLATABLE("cookieConsentSidebar.personalizeCookie.description"),
  cookieConsentSidebarPersonalizeCookieTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.personalizeCookie.title"),
  cookieConsentSidebarTitle: MARK_AS_TRANSLATABLE("cookieConsentSidebar.title"),
  cookieConsentSidebarTooltipClose: MARK_AS_TRANSLATABLE("cookieConsentSidebar.tooltipClose"),
  cookieConsentAllowTheCookie: LabelTranslateEnum.allowTheCookie,
  notificationCookieNameCopiedToClipboard: MARK_AS_TRANSLATABLE("cookieConsentSidebar.notification.cookieNameCopiedToClipboard"),
  notificationUnableToCopyCookieNameToClipboard: MARK_AS_TRANSLATABLE("cookieConsentSidebar.notification.unableToCopyCookieNameToClipboard"),
  notificationFeatureDisabledBecauseCookieDeclined: MARK_AS_TRANSLATABLE("cookieConsentSidebar.notification.featureDisabledBecauseCookieDeclined"),
  notificationCookieXEnabled: MARK_AS_TRANSLATABLE("cookieConsentSidebar.notification.notificationCookieXEnabled"),
  citationStyles: LabelTranslateEnum.citationStyles,
  citationCopyToClipboard: LabelTranslateEnum.copyToClipboard,
  copyToClipboard: LabelTranslateEnum.copyToClipboard,
  noCitationsAreAvailable: LabelTranslateEnum.noCitationsAreAvailable,
  themeSelector: MARK_AS_TRANSLATABLE("app.themeSelector"),
};
