/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - data-file.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {Enums} from "@enums";
import {
  AipChecksumCheck,
  AipFileFormat,
  ChangeInfo,
  Checksum,
  MetadataType,
} from "@models";
import {BaseResource} from "solidify-frontend";

export interface DataFile<TPackage extends BaseResource = any> {
  resId?: string;
  creation?: ChangeInfo;
  lastUpdate?: ChangeInfo;
  sourceData?: string;
  status?: Enums.DataFile.StatusEnum;
  statusMessage?: string;
  virusCheck?: AipChecksumCheck;
  smartSize?: string;
  relativeLocation?: string;
  finalData?: string;
  fileSize?: number;
  fileName?: string;
  fileFormat?: AipFileFormat;
  dataCategory?: Enums.DataFile.DataCategoryEnum;
  dataType?: Enums.DataFile.DataTypeEnum;
  metadataType?: MetadataType;
  complianceLevel?: string;
  checksums?: Checksum[];
  infoPackage?: TPackage;
}
